Subject: Re: [Bitcoin-development] Duplicate transactions vulnerability

From: Ben Reeves <[email-masked]>
Date: Wed, 29 Feb 2012 23:00:42 +0000

I'm not sure. What if they use a coinbase of a block that has already matured?

On Wed, Feb 29, 2012 at 10:46 PM, Gavin Andresen
<[email-masked]> wrote:
> On Wed, Feb 29, 2012 at 5:05 PM, Ben Reeves <[email-masked]> wrote:
>> A malicious miner can produce a duplicate coinbase which the majority
>> of clients will accept but the majority of hashing power won't.
>> Spending the coinbase output after....
>
> That can't happen until the coinbase matures, which takes 100 blocks.
> And it won't mature because a majority of hashing power is rejecting
> it, right?
>
> --
> --
> Gavin Andresen